Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231129 - Missing -tablet configure option limits tablet support in krita
Summary: Missing -tablet configure option limits tablet support in krita
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: qt
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 224948
TreeView+ depends on / blocked
 
Reported: 2007-03-06 12:07 UTC by Miles Sabin
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-27 12:54:43 UTC


Attachments (Terms of Use)
Patch adding -tablet configure option (deleted)
2007-03-06 12:08 UTC, Miles Sabin
no flags Details | Diff

Description Miles Sabin 2007-03-06 12:07:07 UTC
Description of problem:


Version-Release number of selected component (if applicable):

qt-3.3.7-0.1.fc6

How reproducible:

Always

Steps to Reproduce:
1. Start krita, scribble using tablet stylus
2.
3.
  
Actual results:

Stylus acts like a vanilla pointer, ie. no pressure sensitivity, tool selection
functionality.


Expected results:

Full complement of tablet functionality

Additional info:

Fixed by rebuilding from the source RPM with the -tablet switch added to
configure ... patch attached.

See also https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=224948 which isn't
fully resolved by this fix.

Comment 1 Miles Sabin 2007-03-06 12:08:21 UTC
Created attachment 149330 [details]
Patch adding -tablet configure option

Comment 2 Miles Sabin 2007-03-06 12:54:09 UTC
On further experimentation it seems like it might not be such a good idea to
enable this option. With it enabled I get various peculiar interactions between
my mouse/keyboard and the tablet (eg. key/mouse button presses aren't recognized
by X).

Comment 3 Ngo Than 2007-03-27 12:54:43 UTC
tablet support is now enable in qt-3.3.8-2.fc7 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.